BUS_GET_PROPERTY(9)

NAME
BUS_GET_PROPERTY - get child's specific property

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
ssize_t
BUS_GET_PROPERTY(device_t dev, device_t child, const char *propname, void *propvalue, size_t size, device_property_type_t type);

DESCRIPTION
The BUS_GET_PROPERTY() method is called from driver code which wants to access a child's specific data stored on the bus. A property has a name and an associated value. Implementation shall copy to propvalue at most size bytes.

BUS_GET_PROPERTY() supports different property types specified via the type argument. The size is guaranteed to be a multiple of the underlying property type. If a type is not supported, BUS_GET_PROPERTY() shall return -1.

NOTES
If propvalue is NULL or size is zero, the implementation shall return only the size of the property.

RETURN VALUES
The property size if successful, otherwise -1.

SEE ALSO
device(9), device_get_property(9)

AUTHORS
This manual page was written by Bartlomiej Grzesik.